@import url("colors.css");

* {
    font-family: "JetBrains Mono", monospace;
    font-variant-ligatures: none;
}
::-webkit-scrollbar {
    display: none;
}
html {
    padding: 0;
    margin: 0;
    overflow-x: hidden;
    scroll-behavior: smooth;
}
body {
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 0;
    margin: 0;
    background-color: var(--main-color);
    color: var(--accent-color1);
    min-height: 100vh;
    width: 100vw;
}
section {
    width: 100%;
}
a {
    text-decoration: none;
    transition: 0.1s linear;
}
#hero {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}
#hero .panel {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
#hero .panel-left .panel-content {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
#hero .panel-left .comment {
    font-size: 1.3rem;
}
#hero .panel-right .panel-content {
    width: 80%;
}
#hero .panel-right .panel-content .comment {
    font-size: 4rem;
}
#name {
    text-align: center;
    text-transform: uppercase;
    line-height: 0.95em;
    font-size: 9rem;
    font-weight: bolder;
}
.comment {
    color: var(--accent-color2);
    text-transform: uppercase;
}
#social-links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    width: 100%;
}
.social-link {
    color: var(--accent-color2);
    fill: var(--accent-color2);
    width: 2.2rem;
    height: 2.2rem;
    display: flex;
    align-content: center;
    justify-content: center;
    transition: linear 0.2s;
    transition: 0.05s;
}
.social-link svg {
    width: 100%;
    height: 100%;
}

#about {
    display: flex;
    flex-direction: row;
    height: 80%;
}
#about .panel {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
}
#about .panel .panel-content {
    max-width: 30rem;
    height: 100%;
}
#about .panel .panel-content i {
    text-align: justify;
}
#about-grid,
#skills-grid {
    height: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-content: start;
    row-gap: 1.5rem;
}
.skill-item,
.about-item {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}
.about-item .about-item-content {
    width: fit-content;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}
.skill-item-row,
.about-item-row {
    display: flex;
    align-items: center;
    gap: 1rem;
}
.badge-icon {
    width: 1.5rem;
    height: 1.5rem;
    color: var(--accent-color2);
    fill: var(--accent-color2);
}
.section-title {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 5rem;
    margin-bottom: 1rem;
}
.full-width {
    grid-column: 1 / -1;
}
.badge-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0.7rem;
    width: 100%;
}
.badge {
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.3rem;
    height: 2.5rem;
    gap: 0.5rem;
    background-color: var(--main-color);
    border: 2px solid var(--main-color2);
    transition: 0.3s;
}
.badge span {
    font-size: 0.8rem;
}
.badge .badge-icon {
    width: 2rem;
    height: 2rem;
    color: var(--accent-color1);
    fill: var(--accent-color1);
    transition: 0.3s;
}
.badge:hover {
    color: var(--accent-color2);
    background-color: var(--main-color2);
    border: 2px solid var(--accent-color2);
}
.badge:hover .badge-icon {
    color: var(--accent-color2);
    fill: var(--accent-color2);
}
#projects {
    display: flex;
    align-items: center;
    justify-content: center;
}
